Bug 321931 - please update lash to last version (5.3)
please update lash to last version (5.3)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lash (Show other bugs)
rawhide
All Linux
urgent Severity low
: ---
: ---
Assigned To: Anthony Green
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 285331
  Show dependency treegraph
 
Reported: 2007-10-07 06:33 EDT by Nicolas Chauvet (kwizart)
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-09 05:52:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2007-10-07 06:33:07 EDT
Description of problem: lash hasn't been updated for long time...
Other review request like jack-rack depend on lash which is currently an old
version... But it will need a newer version (with ladcca support within )


Version-Release number of selected component (if applicable): F8 but older
version may need an update.

Additional info: I will request cvs access from pkgdb. Please add me if you
don't plan to update it yourself...
Comment 1 Anthony Green 2007-10-07 10:15:34 EDT
I'm testing a build of lash 0.5.3 right now.  Thanks.
Comment 2 Nicolas Chauvet (kwizart) 2007-10-08 05:28:31 EDT
Fine !

Well do you mind you can update the Fedora 8 branch ?
I really think we should do the update as this will set the ccrma package merge
project on a good basis... (and this will remove the need of the obsoleted
ladcca package).

Can you provide the current "work in progress" src.rpm so I can rebuild and test
compilation with 5.3 ?
Comment 3 Anthony Green 2007-10-08 06:21:32 EDT
http://spindazzle.org/lash-0.5.3-1.fc8.src.rpm

This release has a differen sonumber, so all dependent packages will have to be
rebuilt.  I think it may be too late to get this into F8 right now due to the
freeze.
Comment 4 Anthony Green 2007-10-08 07:56:02 EDT
I've tried rebuilding zynaddsubfx, ardour and dssi against this new version and
all is good.  I forget what else depends on lash.  If you can identify and test
the other packages then I would support rebuilding all of this for F8.
Comment 5 Nicolas Chauvet (kwizart) 2007-10-08 08:33:25 EDT
Thx! 

Iv' used repoquery --whatrequires liblash.so.2
and it showed also seq24 and fluidsynth (at least on F-7 i386 ),
(as you already own theses packages, that will be easy for co-ordinated rebuild ! )
Confirmed by ajax on irc for rawhide x86_64...

If there is others case, that's meant that, like jack-rack, lash support wasn't
enabled since it needed an external ladccad . (external ladcca support will be
obsoleted, since it will be found within lash...). So in thoses cases, it won't
break anything to update...

If we are ready (sorry I haven't tested anything with jack-rack for now, but I
expect it will be fine anyway)...

An irc talk raised about the lash-debuginfo requiring liblash.so.2, I supposed
that could be solved by the rebuilt; but maybe you can talk to ajax for this
issue... (I haven't checked for the new build, for now...)

added



Comment 6 Nicolas Chauvet (kwizart) 2007-10-08 08:34:48 EDT
added fernando and hans, involved in the CCRMA merge
Comment 7 Anthony Green 2007-10-08 08:50:54 EDT
(In reply to comment #5)
> Thx! 
> 
> Iv' used repoquery --whatrequires liblash.so.2
> and it showed also seq24 and fluidsynth (at least on F-7 i386 ),
> (as you already own theses packages, that will be easy for co-ordinated
rebuild ! )

Ok, that's good.  I've confirmed that these build cleanly as well.  So I guess
my only real problem is that I have no ability to test them, since I only have
remote access to my rawhide machine for the next week or so (I'm currently
across the country from home).  Does anybody else have time to rebuild/test
these packages?
Comment 8 Hans de Goede 2007-10-08 10:20:32 EDT
I say lets just bite the bullet and get these builds as asap, so that we will
atleast have the new soname for F-8 allowing gradual fixes as needed. I don't
use many of these apps myself, maybe Fernando can do some testing once they are
in RawHide. Fernando?

Talking about ardour, we should really update it to ardour2, _before_ F-8.

Anthony I'm willing to prep a 2.0 release based on combining the best of the
current 1.0 spec and the CCRMA 2.0 specfile, if its ok with you then I'll move
ahead with this, so that we will have 2.0 in F-8, I can give the 2.0 build a
quick smoke and mirror test myself, and maybe Fernando can give it some better
testing once it hits rawhide?

If we're going todo this I will need access to the ardour CVS module.
Comment 9 Fernando Lopez-Lezcano 2007-10-08 13:05:01 EDT
(In reply to comment #0)
> Description of problem: lash hasn't been updated for long time...
> Other review request like jack-rack depend on lash which is currently an old
> version... But it will need a newer version (with ladcca support within )

Just a clarification, lash _is_ ladcca. The name was obsoleted but the software
is essentially the same. Or at least was when lash was first released (it may
have evolved since then). 
Comment 10 Fernando Lopez-Lezcano 2007-10-08 13:06:32 EDT
(In reply to comment #4)
> I've tried rebuilding zynaddsubfx, ardour and dssi against this new version and
> all is good.  I forget what else depends on lash.  If you can identify and test
> the other packages then I would support rebuilding all of this for F8.

Yes, that would be good. I also have specimen, xjadeo and timemachine at Planet
CCRMA, could rebuild them as needed. 
Comment 11 Anthony Green 2007-10-08 13:22:09 EDT
Ok, I've checked in 0.5.3 and kicked off a build via koji.

I'll rebuild my other packages once this has been processed.
Comment 12 Anthony Green 2007-10-08 23:50:12 EDT
Ok, I've rebuilt all of my packages against 0.5.3.  I don't know when they'll
show up in rawhide.
Comment 13 Anthony Green 2007-10-09 05:52:14 EDT
0.5.3 appears in koji's buildroot now, but not in the rawhide mirrors yet.  I'm
closing this issue.
Comment 14 Anthony Green 2007-10-09 06:43:46 EDT
(In reply to comment #8)
> Talking about ardour, we should really update it to ardour2, _before_ F-8.
> 
> Anthony I'm willing to prep a 2.0 release based on combining the best of the
> current 1.0 spec and the CCRMA 2.0 specfile, if its ok with you then I'll move
> ahead with this, so that we will have 2.0 in F-8, I can give the 2.0 build a
> quick smoke and mirror test myself, and maybe Fernando can give it some better
> testing once it hits rawhide?

Let's move this discussion over to bug #238552.
https://bugzilla.redhat.com/show_bug.cgi?id=238552

> If we're going todo this I will need access to the ardour CVS module.

I forget how this works.  Is this something you request access for and I grant
in the package db?  If so, I'm happy to give you co-maintainership.
 

Comment 15 Hans de Goede 2007-10-09 15:09:06 EDT
(In reply to comment #14)
> (In reply to comment #8)
> > Talking about ardour, we should really update it to ardour2, _before_ F-8.
> > 
> > Anthony I'm willing to prep a 2.0 release based on combining the best of the
> > current 1.0 spec and the CCRMA 2.0 specfile, if its ok with you then I'll move
> > ahead with this, so that we will have 2.0 in F-8, I can give the 2.0 build a
> > quick smoke and mirror test myself, and maybe Fernando can give it some better
> > testing once it hits rawhide?
> 
> Let's move this discussion over to bug #238552.
> https://bugzilla.redhat.com/show_bug.cgi?id=238552
> 

Agreed.

> > If we're going todo this I will need access to the ardour CVS module.
> 
> I forget how this works.  Is this something you request access for and I grant
> in the package db?  If so, I'm happy to give you co-maintainership.
>  

I'll request access in packagedb right away, please ack. I see that cvs extras
is allowed access, so this isn't really necessary, but this way I'll get CC-ed
on any future bugs too, so I guess this is best.

Note You need to log in before you can comment on or make changes to this bug.